Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358135 - [abrt] gnome-boxes: boxes_wizard_toolbar_set_title_for_page(): gnome-boxes killed by SIGSEGV
Summary: [abrt] gnome-boxes: boxes_wizard_toolbar_set_title_for_page(): gnome-boxes ki...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:707b3b2a244686118b5e0340d0f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 07:10 UTC by Wilf
Modified: 2017-08-08 15:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:43:30 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: cgroup (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: core_backtrace (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: dso_list (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: environ (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: exploitable (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: limits (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: maps (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: mountinfo (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: namespaces (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: open_fds (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: proc_pid_status (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details
File: var_log_messages (deleted)
2016-07-20 07:10 UTC, Wilf
no flags Details

Description Wilf 2016-07-20 07:10:11 UTC
Description of problem:
I tried using the Fedora 24 install in the DVD drive of my computer (used to install this OS in fact) to create a GNOME Boxes VM
It showed as 'sr0 unknown media', and trying to click on it caused ABRT to open a notifaction

Version-Release number of selected component:
gnome-boxes-3.20.2-4.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_wizard_toolbar_set_title_for_page
executable:     /usr/bin/gnome-boxes
global_pid:     25775
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 boxes_wizard_toolbar_set_title_for_page at wizard-toolbar.c:299
 #1 boxes_wizard_set_page at wizard.c:4190
 #2 _g_closure_invoke_va at gclosure.c:867
 #5 gtk_button_do_release at gtkbutton.c:1843
 #6 gtk_real_button_released at gtkbutton.c:1961
 #11 multipress_released_cb at gtkbutton.c:666
 #12 ffi_call_unix64 at ../src/x86/unix64.S:76
 #13 ffi_call at ../src/x86/ffi64.c:525
 #14 g_cclosure_marshal_generic_va at gclosure.c:1604
 #15 _g_closure_invoke_va at gclosure.c:867

Potential duplicate: bug 1215264

Comment 1 Wilf 2016-07-20 07:10:20 UTC
Created attachment 1181926 [details]
File: backtrace

Comment 2 Wilf 2016-07-20 07:10:22 UTC
Created attachment 1181927 [details]
File: cgroup

Comment 3 Wilf 2016-07-20 07:10:24 UTC
Created attachment 1181928 [details]
File: core_backtrace

Comment 4 Wilf 2016-07-20 07:10:26 UTC
Created attachment 1181929 [details]
File: dso_list

Comment 5 Wilf 2016-07-20 07:10:27 UTC
Created attachment 1181930 [details]
File: environ

Comment 6 Wilf 2016-07-20 07:10:28 UTC
Created attachment 1181931 [details]
File: exploitable

Comment 7 Wilf 2016-07-20 07:10:30 UTC
Created attachment 1181932 [details]
File: limits

Comment 8 Wilf 2016-07-20 07:10:33 UTC
Created attachment 1181933 [details]
File: maps

Comment 9 Wilf 2016-07-20 07:10:34 UTC
Created attachment 1181934 [details]
File: mountinfo

Comment 10 Wilf 2016-07-20 07:10:36 UTC
Created attachment 1181935 [details]
File: namespaces

Comment 11 Wilf 2016-07-20 07:10:37 UTC
Created attachment 1181936 [details]
File: open_fds

Comment 12 Wilf 2016-07-20 07:10:39 UTC
Created attachment 1181937 [details]
File: proc_pid_status

Comment 13 Wilf 2016-07-20 07:10:40 UTC
Created attachment 1181938 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 21:54:58 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 15:43:30 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.